
Internal Tools - Bug #19721

Task # 19675 (New): プラン変更一括登録ツール

Bug # 19543 (Resolved): Issues on プラン変更一括登録ツール

[QA] 上限変更とサービス変更の回線が混在（即日適用と翌月適用が混在）したファイルを投入するとエラー。

07/11/2023 02:25 AM - Takeshi Sasamori

Status: Closed % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: Seongmin Choi   

Type:  バグ要因:  

Description

□テストデータ

19048   HISポータルテスト用アカウント  histest_user01  secret

□テスト手順

1. http://223.25.162.146/fm/reports/files/Bulk-PlanChange/に一括プラン変更ファイル配置

対象は以下4回線

07044345134 HMD-EFXVC-1→HMD-EFXVC-3（上限変更/即時適用）

09074005710 HMD-EBLVC-1→HMD-EMPVC-3（サービス変更/翌月適用）

08021423683 HMD-EBLVC-1→HMD-EGDVC-20（サービス変更/翌月適用）

07039965022 HMD-EBTVC-30→HMD-EBLVC-1（サービス変更/翌月適用）

1. ファイル取り込みバッチ実行 　sudo /opt/Alternatives/report-server/opt/shells/AutoOrders/FM_MSP_BATCH_COMMAND.sh

□障害内容

・上限変更とサービス変更の回線が混在していると取込バッチでエラーとなる。

・即日適用の上限変更と翌月適用の上限変更が混在した上限変更だけのケースでも同様のエラーとなる。

□バッチログ

2023年  7月 11日 火曜日 10:16:53 JST

INPUT-FILE=/var/www/uploads/MSP/Bulk-PlanChange/27_QA_PlanChangeM03_20230711_test.txt

, 4 lines.

BASENAME=27_QA_PlanChangeM03_20230711_test

EXEC-COMMAND='MSP/bulkPlanChange.sh'

[/opt/Alternatives/report-server/opt/shells/AutoOrders/bin/MSP/bulkPlanChange.sh]

Starting command: 'MSP/bulkPlanChange.sh'.

DBG: 0:row_data=[19048]

DBG: 1:row_data=[07044345134,AX0605941634600,HMD-EFXVC-3]

BEGIN

DBG:

2:linedata=[00000000;07044345134;AX0605941634600;HMD-EFXVC-3;HMD-EFXVC-3;DCVSIM-4;HMD-EFXVC-3;V_LTE_PL

AN;;;00019048;29;19048;18103]

DBG: 1:row_data=[09074005710,GD0605954283280,HMD-EMPVC-3]

DBG:

2:linedata=[00000000;09074005710;GD0605954283280;HMD-EMPVC-3;HMD-EMPVC-3;DCVSIM-4;HMD-EMPVC-3;V_LTE_P

LAN;;;00019048;29;19048;18103]

DBG: 1:row_data=[08021423683,AX0605941832790,HMD-EGDVC-20]

DBG:

2:linedata=[00000000;08021423683;AX0605941832790;HMD-EGDVC-20;HMD-EGDVC-20;DCVSIM-4;HMD-EGDVC-20;V_LT

E_PLAN;;;00019048;29;19048;18103]

DBG: 1:row_data=[07039965022,GD0605954283270,HMD-EBLVC-1]

DBG:

2:linedata=[00000000;07039965022;GD0605954283270;HMD-EBLVC-1;HMD-EBLVC-1;DCVSIM-4;HMD-EBLVC-1;V_LTE_PL

AN;;;00019048;29;19048;18103]

INFO:  [msp.plan_change_create_order] New plan change SO created.: Request by

u1@p19048{BULK-PlanChange-20230711_1016-VMkfzYQ7}, SO#=[19003887],
PRODUCT=[HMD-EFXVC-3],BEGIN=[2023-08-01].

INFO:  zz_msp_plan_change_add: service_order_id=19003887

NOTICE:  [msp.get_product_change_start_date] Start date of next plan product "2023-07-11": ARGV[ 19048, HMD-EFXVC-1,

HMD-EFXVC-3, 2021-11-30 ]

NOTICE:  [msp.get_product_change_start_date] Start date of next plan product "2023-07-11": ARGV[ 19048, HMD-EFXVC-1,

HMD-EFXVC-3, 2021-11-30 ]

INFO:  [msp.plan_change_add] Next plan product added.: SO#=19003887 PHN/UN=07044345134/AX0605941634600 Request

by u1@p19048{BULK-PlanChange-20230711_1016-VMkfzYQ7}, new product=[HMD-EFXVC-3], begin=[2023-08-01 00:00:00]

zz_msp_plan_change_add 

19003887

PID SO# PHN USIM Plan ActiveDate

19048 19003887 07044345134 AX060594163460

0

HMD-EFXVC-3 2023-08-01

00:00:00+09

INFO:  [msp.plan_change_create_order] New plan change SO created.: Request by

u1@p19048{BULK-PlanChange-20230711_1016-6wScEuud}, SO#=[19003888],

PRODUCT=[HMD-EFXVC-3],BEGIN=[2023-08-01].

INFO:  zz_msp_plan_change_add: service_order_id=19003888

NOTICE:  [msp.get_product_change_start_date]

NOTICE:  [msp.get_product_change_start_date]

ERROR:  E500910; Database error: SQLState=JE406 MSG=E406140; [msp.plan_change_add] : SO#=19003888

PHN/UN=09074005710/GD0605954283280 Request by u1@p19048{BULK-PlanChange-20230711_1016-6wScEuud}, new

product=[HMD-EFXVC-3], begin=[2023-08-01 00:00:00]

End of command: 'MSP/bulkPlanChange.sh'.

 

□期待値

・上限変更とサービス変更が混在して入れも取り込み時に正常処理すること。

・即日適用と翌月適用が混在して入れも取り込み時に正常処理すること。

History

#1 - 07/11/2023 07:52 AM - Seongmin Choi

- Status changed from New to Resolved

CSVに入力された情報を直接パラメータに設定するように修正しました。

ご確認をお願いします。

#2 - 07/14/2023 07:34 AM - Takeshi Sasamori

- % Done changed from 0 to 100

- Status changed from Resolved to Closed

再テスト

以下のリクエスト混在ファイル投入にて問題ないことを確認。

上限変更/サービス変更/即時適用/翌月1日適用

クローズします。
